Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Class ExpandVetoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.swing.tree.ExpandVetoException

All Implemented Interfaces:
  Serializable

public class ExpandVetoException
extends Exception

Exception used to stop and expand/collapse from happening. See How to Write a Tree-Will-Expand Listener in The Java Tutorial for further information and examples.

Field Summary
`protected TreeExpansionEvent` | `event` The event that the exception was created for.

Constructor Summary
`ExpandVetoException(TreeExpansionEvent event)` Constructs an ExpandVetoException object with no message.
`ExpandVetoException(TreeExpansionEvent event, String message)` Constructs an ExpandVetoException object with the specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### event

    protected TreeExpansionEvent event

  The event that the exception was created for.

Constructor Detail

### ExpandVetoException

    public ExpandVetoException(TreeExpansionEvent event)

  Constructs an ExpandVetoException object with no message.

Parameters:
  `event` - a TreeExpansionEvent object

### ExpandVetoException

    public ExpandVetoException(TreeExpansionEvent event,
                               String message)

  Constructs an ExpandVetoException object with the specified message.

Parameters:
  `event` - a TreeExpansionEvent object
  `message` - a String containing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.